Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 658136 - kde-apps/lokalize all versions add Python 3.6 support
Summary: kde-apps/lokalize all versions add Python 3.6 support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard: fixed in 18.04.3
Keywords:
Depends on: 658566
Blocks: py3_6_switch
  Show dependency tree
 
Reported: 2018-06-14 21:07 UTC by Frank Krömmelbein
Modified: 2018-07-29 16:38 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Krömmelbein 2018-06-14 21:07:27 UTC
Because of the upcomming python change:
https://www.gentoo.org/support/news-items/2018-05-22-python3-6.html
I had tried to carry this out on my main machine. However, I had to make some changes.

My solution now looks like this:

1) "Stabilized" =media-video/gaupol-1.4 by adding to package.keywords
Current stable version 0.91 has no python3_6 support

2) Copied and revision bumped dev-python/translate-toolkit-2.0.0 to local overlay. Then added python3_6 support to ebuild:
-PYTHON_COMPAT=( python2_7 python3_{4,5} )
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )

Btw. upstream has released some new versions:
https://github.com/translate/translate/releases

3) Copied and revision bumped kde-apps/lokalize-18.04.2 to local overlay. Then added also python3_6 support to ebuild:
-PYTHON_COMPAT=( python2_7 python3_{4,5} )
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
The same should also be done for actual stable 17.12.3, not tested.

Possibly the revsion bumps for points 2 and 3 are unnecessary.

After that I could deplean Python 3.5 from my installation.

eselect python list
Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7
Comment 1 Larry the Git Cow gentoo-dev 2018-07-09 01:35:34 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d51649d2bb1ead93be6024630c3cabf6676d470a

commit d51649d2bb1ead93be6024630c3cabf6676d470a
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-07-09 01:35:13 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-07-09 01:35:13 +0000

    dev-python/translate-toolkit: python3_6 support
    
    Bug: https://bugs.gentoo.org/658136
    Package-Manager: Portage-2.3.41, Repoman-2.3.9

 dev-python/translate-toolkit/translate-toolkit-2.0.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 2 Larry the Git Cow gentoo-dev 2018-07-09 01:36:32 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/kde.git/commit/?id=26ebd8736309558bd1653f29f8523bd2d8949db5

commit 26ebd8736309558bd1653f29f8523bd2d8949db5
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-07-08 16:54:30 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-07-09 01:36:13 +0000

    kde-apps/lokalize: Add python3_6
    
    Bug: https://bugs.gentoo.org/658136
    Package-Manager: Portage-2.3.41, Repoman-2.3.9

 kde-apps/lokalize/lokalize-18.04.49.9999.ebuild | 2 +-
 kde-apps/lokalize/lokalize-9999.ebuild          | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-07-11 20:10:40 UTC
ping?
Comment 4 Andreas Sturmlechner gentoo-dev 2018-07-11 20:39:43 UTC
See $Whiteboard, 18.04.3 release tomorrow then stabilisation 14 days later. If we really need it earlier we can bump 17.04.3 as well though.
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-07-21 00:16:22 UTC
(In reply to Andreas Sturmlechner from comment #4)
> See $Whiteboard, 18.04.3 release tomorrow then stabilisation 14 days later.
> If we really need it earlier we can bump 17.04.3 as well though.

would be nice to get it a bit earlier as I am pushy these days getting python switch ready again, things were stollen for long enough :(
Comment 6 Manuel Mommertz 2018-07-26 07:09:24 UTC
Please bump lokalize-17.12.3 as 18.04.2 is not stabilized yet but python 3.6 is default now. My stable system fails with:

!!! The ebuild selected to satisfy ">=kde-apps/lokalize-17.12.3" has unmet requirements.
- kde-apps/lokalize-17.12.3::gentoo USE="handbook -debug" ABI_X86="(64)" PYTHON_SINGLE_TARGET="-python2_7 -python3_4 -python3_5" PYTHON_TARGETS="python2_7 -python3_4 -python3_5"

  The following REQUIRED_USE flag constraints are unsatisfied:
    exactly-one-of ( python_single_target_python2_7 python_single_target_python3_4 python_single_target_python3_5 )

  The above constraints are a subset of the following complete expression:
    exactly-one-of ( python_single_target_python2_7 python_single_target_python3_4 python_single_target_python3_5 ) python_single_target_python2_7? ( python_targets_python2_7 ) python_single_target_python3_4? ( python_targets_python3_4 ) python_single_target_python3_5? ( python_targets_python3_5 )
Comment 7 Andreas Sturmlechner gentoo-dev 2018-07-27 22:42:42 UTC
(In reply to Manuel Mommertz from comment #6)
> Please bump lokalize-17.12.3 as 18.04.2 is not stabilized yet but python 3.6
> is default now.
There is an ongoing tracker bug wrt py36 switch, so it seems to have happened prematurely (again).

Anyway, stabilisation of KDE Applications 18.04.3 has started.